package com.weaver.seconddev.cpic.test;

import java.util.ArrayList;
import java.util.List;

public class Test3 {

    public static void main(String[] args) {
        String line = "10999|1989-11-12|1989-11-12|陈|昕宇|1989-11-12|2|M|302382198903201818|HAN|1989-11-12|2014-01-10|HIR|CX100000000023G7|2020-10-14|2020-10-14|2020-10-14|D0810|CXHJLX04|DXZZMM02|D4000|13952030215|UI1|CXDXXL02|3|南京大学|2014-06-30 00:00:00|数理学院";

        List<String> fieldList = getEmployeeExpFieldList();
        System.out.println("fieldList:"+fieldList.size());
        String[] employeeData = line.split("\\|");
        System.out.println("employeeData:"+employeeData.length);
        for(int k =0 ;k < employeeData.length;k++){
            String value = employeeData[k];
            System.out.println("value:"+value);
            if(k < fieldList.size()){
                String key = fieldList.get(k).toUpperCase();
                System.out.println(key);
            }
        }

    }

    public static List<String> getEmployeeExpFieldList() {

        List<String> fieldList = new ArrayList<String>();
        /**
         * 系统工号(外部系统工号)
         */
        fieldList.add("GUID");
        fieldList.add("DATE1");
        /**
         * 出生日期
         */
        fieldList.add("BIRTHDATE");
        /**
         * 姓
         * 名
         */
        fieldList.add("LAST_NAME");
        fieldList.add("FIRST_NAME");

        fieldList.add("DATE2");

        /**
         * 婚姻状态
         */
        fieldList.add("MAR_STATUS");



        /**
         * 性别
         */
        fieldList.add("SEX");
        /**
         * 证件号（根据证件号匹配）
         */
        fieldList.add("NATIONAL_ID");
        /***
         * 民族
         */
        fieldList.add("ETHNIC_GRP_CD");

        fieldList.add("DATE3");

        /***
         * 开始工作日期
         */
        fieldList.add("START_DT_CHN");
        /**
         * 操作
         */
        fieldList.add("ACTION");
        /***
         * 岗位部门
         */
        fieldList.add("POSITION_NBR");
        /***
         * 入司日期
         */
        fieldList.add("DC_CO_ENTRY_DT");
        /**
         * 首次入太保日期
         */
        fieldList.add("DC_CPIC_ENTRY_DT");
        /**
         * 最近入太保日期
         */
        fieldList.add("DC_LAST_ENTRY_DT");
        /**
         * 籍贯
         */
        fieldList.add("NATIVE_PLACE_CHN");
        /**
         * 户籍性质
         */
        fieldList.add("HUKOU_TYPE_CHN");
        /**
         * 政治面貌
         */
        fieldList.add("POLITICAL_STA_CHN");
        /***
         * 健康状况
         */
        fieldList.add("DC_HEALTH_STATUS");
        /***
         * 电话
         */
        fieldList.add("PHONE");
        /***
         * 证件类型
         */
        fieldList.add("NATIONAL_ID_TYPE");
        /**
         * 全日制最高学历
         */
        fieldList.add("DC_EDUCATION");
        /***
         * 全日制最高学位
         */
        fieldList.add("DC_DEGREE");
        /**
         * 学校
         */
        fieldList.add("DC_SCHOOL");

        /***
         * 开始结束日期
         */
        fieldList.add("DC_START_DT");

        /**
         * 专业
         */
        fieldList.add("DC_MAJOR");

        return fieldList;
    }

}
